util.ui

## Class SearchFormSettings

- java.lang.Object
- - util.ui.SearchFormSettings

-     public class SearchFormSettings
      extends java.lang.Object

  Settings for the SearchForm
  Author:
    Til Schneider, www.murfman.de
  See Also:
    `SearchForm`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SEARCH_IN_ALL` Specifies, that all fields should be searched.
    `static int` | `SEARCH_IN_TITLE` Specifies, that only titles should be searched.
    `static int` | `SEARCH_IN_USER_DEFINED` Specifies, that a user-defined set of fields should be searched.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchFormSettings(java.io.ObjectInputStream in)` Loads a SearchFormSettings instance from a stream.
    `SearchFormSettings(java.lang.String searchText)` Creates a new SearchFormSettings instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProgramSearcher` | `createSearcher()` Creates a searcher from these settings
    `ProgramSearcher` | `createSearcher(java.lang.String text)` Creates a searcher from this settings
    `boolean` | `getCaseSensitive()` Gets whether to search case sensitive.
    `Channel[]` | `getChannels()` Get the Channels to search on This returns null when all channels should be searched
    `ProgramFieldType[]` | `getFieldTypes()` Gets the field types to search for.
    `int` | `getNrDays()` Gets the number of days If this value is negative, it searches all data (including yesterday)
    `int` | `getSearcherType()` Gets the searcher type to be used.
    `int` | `getSearchIn()` Gets where to search.
    `java.lang.String` | `getSearchText()` Gets the search text.
    `ProgramFieldType[]` | `getUserDefaultFieldTypes()` Gets the default field types for initially selection.
    `ProgramFieldType[]` | `getUserDefinedFieldTypes()` Gets the field types defined by the user.
    `void` | `setCaseSensitive(boolean caseSensitive)` Sets whether to search case sensitive.
    `void` | `setChannels(Channel[] channel)`
    `void` | `setNrDays(int nr)` Sets the number of days If this value is negative, it searches all data (including yesterday)
    `void` | `setSearcherType(int searcherType)` Sets the searcher type to be used.
    `void` | `setSearchIn(int searchIn)` Sets where to search.
    `void` | `setSearchText(java.lang.String searchText)` Sets the search text.
    `void` | `setUserDefaultFieldTypes(ProgramFieldType[] typeArr)` Sets the default selection field types.
    `void` | `setUserDefinedFieldTypes(ProgramFieldType[] typeArr)` Sets the user-defined field types to search for.
    `java.lang.String` | `toString()` Gets the search text.
    `void` | `writeData(java.io.ObjectOutputStream out)` Writes the settings into a stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SEARCH_IN_TITLE

          public static final int SEARCH_IN_TITLE

      Specifies, that only titles should be searched.
      See Also:
        Constant Field Values

    - #### SEARCH_IN_ALL

          public static final int SEARCH_IN_ALL

      Specifies, that all fields should be searched.
      See Also:
        Constant Field Values

    - #### SEARCH_IN_USER_DEFINED

          public static final int SEARCH_IN_USER_DEFINED

      Specifies, that a user-defined set of fields should be searched.
      See Also:
        `setUserDefinedFieldTypes(ProgramFieldType[])`, Constant Field Values

  - ### Constructor Detail

    - #### SearchFormSettings

          public SearchFormSettings(java.lang.String searchText)

      Creates a new SearchFormSettings instance.
      Parameters:
        `searchText` - The search text

    - #### SearchFormSettings

          public SearchFormSettings(java.io.ObjectInputStream in)
                             throws java.io.IOException,
                                    java.lang.ClassNotFoundException

      Loads a SearchFormSettings instance from a stream.
      Parameters:
        `in` - The stream to read from
      Throws:
        `java.io.IOException` - If reading failed
        `java.lang.ClassNotFoundException` - If the read data has the wrong format
      See Also:
        `writeData(ObjectOutputStream)`

  - ### Method Detail

    - #### writeData

          public void writeData(java.io.ObjectOutputStream out)
                         throws java.io.IOException

      Writes the settings into a stream
      Parameters:
        `out` - The stream to write to
      Throws:
        `java.io.IOException` - If writing failed
      See Also:
        `SearchFormSettings(ObjectInputStream)`

    - #### toString

          public java.lang.String toString()

      Gets the search text.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The search text

    - #### getSearchText

          public java.lang.String getSearchText()

      Gets the search text.
      Returns:
        The search text

    - #### setSearchText

          public void setSearchText(java.lang.String searchText)

      Sets the search text.
      Parameters:
        `searchText` - The search text

    - #### createSearcher

          public ProgramSearcher createSearcher()
                                         throws TvBrowserException

      Creates a searcher from these settings
      Returns:
        A searcher that satisfies these settings.
      Throws:
        `TvBrowserException` - If creating the searcher failed.

    - #### createSearcher

          public ProgramSearcher createSearcher(java.lang.String text)
                                         throws TvBrowserException

      Creates a searcher from this settings
      Parameters:
        `text` - Search for this Text
      Returns:
        A searcher that satisfies these settings.
      Throws:
        `TvBrowserException` - If creating the searcher failed.

    - #### getFieldTypes

          public ProgramFieldType[] getFieldTypes()

      Gets the field types to search for.
      Returns:
        The field types to search for.

    - #### getUserDefaultFieldTypes

          public ProgramFieldType[] getUserDefaultFieldTypes()

      Gets the default field types for initially selection.

      Returns:
        The default field types for initially selection.
      Since:
        3.2.1

    - #### getUserDefinedFieldTypes

          public ProgramFieldType[] getUserDefinedFieldTypes()

      Gets the field types defined by the user.
      Returns:
        The field types defined by the user.

    - #### setUserDefinedFieldTypes

          public void setUserDefinedFieldTypes(ProgramFieldType[] typeArr)

      Sets the user-defined field types to search for.
      Parameters:
        `typeArr` - The field types to search for

    - #### setUserDefaultFieldTypes

          public void setUserDefaultFieldTypes(ProgramFieldType[] typeArr)

      Sets the default selection field types. ATTENTION: The default selection is not stored in this settings, if you want to keep it you have to save it otherwise.

      Parameters:
        `typeArr` - The default selection field types.
      Since:
        3.2.1

    - #### getSearchIn

          public int getSearchIn()

      Gets where to search. Either
      - `SEARCH_IN_TITLE`,
      - `SEARCH_IN_ALL` or
      - `SEARCH_IN_USER_DEFINED`.
      Returns:
        Where to search

    - #### setSearchIn

          public void setSearchIn(int searchIn)

      Sets where to search. Must be either
      - `SEARCH_IN_TITLE`,
      - `SEARCH_IN_ALL` or
      - `SEARCH_IN_USER_DEFINED`.
      Parameters:
        `searchIn` - Where to search

    - #### getSearcherType

          public int getSearcherType()

      Gets the searcher type to be used.
      Returns:
        The searcher type to be used.
      See Also:
        `PluginManager.createProgramSearcher(int, String, boolean)`

    - #### setSearcherType

          public void setSearcherType(int searcherType)

      Sets the searcher type to be used.
      Parameters:
        `searcherType` - The searcher type to be used.
      See Also:
        `PluginManager.createProgramSearcher(int, String, boolean)`

    - #### getCaseSensitive

          public boolean getCaseSensitive()

      Gets whether to search case sensitive.
      Returns:
        Whether to search case sensitive

    - #### setCaseSensitive

          public void setCaseSensitive(boolean caseSensitive)

      Sets whether to search case sensitive.
      Parameters:
        `caseSensitive` - Whether to search case sensitive

    - #### getNrDays

          public int getNrDays()

      Gets the number of days If this value is negative, it searches all data (including yesterday)
      Returns:
        number of days to search

    - #### setNrDays

          public void setNrDays(int nr)

      Sets the number of days If this value is negative, it searches all data (including yesterday)
      Parameters:
        `nr` - number of days to search

    - #### getChannels

          public Channel[] getChannels()

      Get the Channels to search on This returns null when all channels should be searched
      Returns:
        channels to search on

    - #### setChannels

          public void setChannels(Channel[] channel)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)